Skip to main content
POST
/
api
/
v2
/
notion
/
data-source
/
{data_source_id}
/
query
Query a data source
curl --request POST \
  --url https://{deployment}/api/v2/notion/data-source/{data_source_id}/query \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Notion-Token: <api-key>' \
  --data '
{
  "filters": [
    {
      "key": "<string>",
      "value": "<unknown>",
      "operator": "<string>"
    }
  ],
  "filters_map": {},
  "notion_filter": "<unknown>",
  "sorts": [
    {}
  ],
  "filter_properties": [
    "<string>"
  ],
  "page_size": 123,
  "start_cursor": "<string>"
}
'
{
  "object": "<string>",
  "results": [
    {
      "object": "<string>",
      "id": "<string>",
      "created_time": "2023-11-07T05:31:56Z",
      "last_edited_time": "2023-11-07T05:31:56Z",
      "archived": true,
      "in_trash": true,
      "properties": {},
      "simple_properties": {},
      "url": "<string>",
      "public_url": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true,
  "type": "<string>",
  "request_id": "<string>",
  "warnings": [
    "<string>"
  ]
}

Authorizations

X-API-KEY
string
header
required

Your deployment's API key (MMK_API_KEY).

X-Notion-Token
string
header
required

Your Notion integration token / internal token. Supplied by the caller (not stored server-side).

Path Parameters

data_source_id
string
required

Notion data source ID.

Body

application/json
filters
object[]

Simple filters auto-converted to Notion syntax.

filters_map
object

Legacy map form (deprecated).

notion_filter
any

Full Notion filter syntax (advanced).

sorts
object[]
filter_properties
string[]

Return only these properties.

page_size
integer
start_cursor
string

Response

Query results

object
string
results
object[]
next_cursor
string | null
has_more
boolean
type
string
request_id
string
warnings
string[]

Invalid-filter / unknown-property warnings.